Subject: bug#28924: 25.3; All hg entries on single line possibly due to typo in vc-hg-root-log-format.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Oct 2017 20:24:00 +0300

> From: [email-masked]
> Date: Sat, 21 Oct 2017 18:17:13 +0300
> 
> All changelog entries placed on one line on vc-print-root-log for HG with \n
> symbols between entries.
> 
> When I changed:
> 
>  (defcustom vc-hg-root-log-format
>    `(,(concat "{rev}:{ifeq(branch, 'default','', '{branch}')}"
>               ":{bookmarks}:{tags}:{author|person}"
> -             " {date|shortdate} {desc|firstline}\\n")
> +             " {date|shortdate} {desc|firstline}\n")
> 
> it starts working fine.

I tried to reproduce this, but couldn't.  Can you show a complete
recipe, starting with "emacs -Q", and using some public hg repository
one can clone?

> I use hg.exe wrapper around Cygwin Python script hg, stripped version is:
> 
>   int main(int argc, char **argv) {
>     execvp(cmd, argv);
>   }
> 
> It comes after hg in PATH so execvp loads script instead itself.

It's possible that this intermediary wrapper is the culprit.  Is it
possible for you to use the native hg.exe?